FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Alt

 
 
LinkBack Thread Tools
 
Old 10-01-2010, 08:49 AM
Al
 
Default Stating officially with Cygwin

Hi,

this is a protoco of all packages that have been emerged this night.
5 packages out of 69 broke and required a second try. Below the
reasons what did break.

1 enolar: baselayout-prefix
2 enolar: RETRY 1: baselayout-prefix
3 enolar: app-arch/bzip2
4 enolar: sys-apps/sed
5 enolar: sys-libs/ncurses
6 enolar: app-shells/bash
7 enolar: net-misc/wget
8 enolar: app-arch/xz-utils
9 enolar: sys-apps/coreutils
10 enolar: sys-devel/autoconf-wrapper
11 enolar: sys-devel/automake-wrapper
12 enolar: sys-devel/autoconf
13 enolar: RETRY 1: sys-devel/autoconf
14 enolar: sys-devel/automake
15 enolar: sys-apps/findutils
16 enolar: app-arch/tar
17 enolar: sys-apps/grep
18 enolar: sys-devel/patch
19 enolar: sys-apps/gawk
20 enolar: sys-devel/make
21 enolar: sys-apps/file
22 enolar: app-admin/eselect
23 enolar: app-misc/pax-utils
24 enolar: RETRY 1: app-misc/pax-utils
25 enolar: sys-libs/zlib
26 enolar: sys-devel/libperl
27 enolar: dev-lang/perl
28 enolar: app-admin/perl-cleaner
29 enolar: sys-apps/help2man
30 enolar: sys-apps/texinfo
31 enolar: sys-devel/libtool
32 enolar: RETRY 1: sys-devel/libtool
33 enolar: sys-libs/readline
34 enolar: dev-libs/libiconv
35 enolar: virtual/libiconv
36 enolar: dev-libs/expat
37 enolar: app-admin/eselect-python
38 enolar: dev-libs/libxml2
39 enolar: =gettext-0.17-r1
40 enolar: =dev-libs/popt-1.16
41 enolar: dev-libs/libffi
42 enolar: virtual/libffi
43 enolar: app-misc/mime-types
44 enolar: dev-util/pkgconfig
45 enolar: net-misc/rsync
46 enolar: virtual/libintl
47 enolar: RETRY 1: virtual/libintl
48 enolar: dev-lang/python
49 enolar: app-admin/python-updater
50 enolar: sys-apps/portage
51 enolar: sys-apps/diffutils
52 enolar: app-arch/gzip
53 enolar: app-arch/cpio
54 enolar: sys-apps/which
55 enolar: sys-apps/groff
56 enolar: app-editors/nano
57 enolar: virtual/editor
58 enolar: sys-apps/less
59 enolar: virtual/pager
60 enolar: sys-apps/debianutils
61 enolar: sys-apps/man
62 enolar: dev-libs/openssl
63 enolar: app-misc/ca-certificates
64 enolar: net-misc/openssh
65 enolar: sys-devel/m4
66 enolar: sys-devel/flex
67 enolar: sys-devel/bison
68 enolar: sys-devel/gnuconfig
69 enolar: sys-devel/binutils-config
70 enolar: sys-devel/binutils
71 enolar: dev-libs/gmp
72 enolar: dev-libs/mpfr
73 enolar: sys-devel/gcc-config
74 enolar: sys-devel/gcc


1 enolar: baselayout-prefix

>>> Install baselayout-prefix-1.12.5-r6 into /home/prefix/gentoo/var/tmp/portage/sys-apps/baselayout-prefix-1.12.5-r6/image/home/prefix/gentoo/ category sys-apps
>>> Completed installing baselayout-prefix-1.12.5-r6 into /home/prefix/gentoo/var/tmp/portage/sys-apps/baselayout-prefix-1.12.5-r6/image/home/prefix/gentoo/

^GQA Security Notice:
- /bash.exe.stackdump will be a world writable file.
- This may or may not be a security problem, most of the time it is one.
- Please double check that baselayout-prefix-1.12.5-r6 really needs a
world writeable bit and file bugs accordingly.


12 enolar: sys-devel/autoconf

/home/prefix/gentoo/usr/lib/portage/bin/ebuild.sh: line 1709: 5568
Aborted ( export SANDBOX_ON=1; source
"${T}/environment" || exit $?; export SANDBOX_ON=0; source
"${PORTAGE_BIN_PATH}/isolated-functions.sh" || exit $?;
save_ebuild_env || exit $?; touch "${T}/environment.success" || exit
$? ) > "${T}/environment.filtered"
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
203: 5532 Aborted echo -e "$@"
4648 | while read -r; do
echo "$messagetype $REPLY" >> "${T}/logging/${EBUILD_PHASE:-other}";
done
* ERROR: sys-devel/autoconf-2.65-r1 failed:
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
291: 4896 Aborted echo -e "$@"
4672 | while read -r; do
echo " $BAD*$NORMAL $RC_INDENTATION$REPLY" 1>&2;
done

[...]

Stack trace:
Frame Function Args
0022AC18 610C5F8E (00000000, 00000001, 0022AC98, 612056A0)
0022ACF8 610C2CA7 (00000000, 6FBD0080, 00000000, 0022ACF4)
0022AD48 610C30BB (000016B8, 0022AD70, 0022AD58, 6FBDA00C)
0022AE08 610C31E1 (000016B8, 00000006, 0022AE38, 610C3285)
0022AE18 610C321C (00000006, 0022CE80, 00000000, 00000000)
0022AE38 610C3285 (6FBDA00C, 00000000, 6115F18C, 6FBD9544)
0022AE58 6FBD5531 (6FBDB000, 6FBD5550, 0022AEB8, 6102009A)
0022AE68 6FBD10D9 (00472000, 6FBD5550, 6123A3E4, 61020101)
0022AEB8 6102009A (00000000, 00000000, 00000003, 00000000)
0022AED8 61116E6A (00000000, 00000000, 0022AF88, 610C01A5)
0022AEE8 61004C8B (00000000, 00F90138, 00F90800, 00000000)
0022AF88 610C01A5 (00F8E628, 00000000, 00000003, FFFFFFFF)
0022B028 00411B37 (00F90238, 00000000, 00000003, FFFFFFFF)
0022B0C8 00411A41 (00F87B38, 00000000, FFFFFFFF, FFFFFFFF)
0022B0F8 00411D93 (00F87B38, 00000003, 0022B118, 00000000)
0022B198 004119F6 (00F8FBC8, 00000000, FFFFFFFF, FFFFFFFF)
End of stack trace (more stack frames may be present)
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
203: 3160 Aborted echo -e "$@"
5816 Aborted (core dumped) | while read -r; do
echo "$messagetype $REPLY" >> "${T}/logging/${EBUILD_PHASE:-other}";
done
* S: '/home/prefix/gentoo/var/tmp/portage/sys-devel/autoconf-2.65-r1/work/autoconf-2.65'
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
291: 5728 Aborted echo -e "$@"
5148 | while read -r; do
echo " $BAD*$NORMAL $RC_INDENTATION$REPLY" 1>&2;
done
!!! FAILED preinst: 1


24 enolar: RETRY 1: app-misc/pax-utils

ecompressdir: bzip2 -9 /home/prefix/gentoo/usr/share/man
^GQA Security Notice:
- /bash.exe.stackdump will be a world writable file.
- This may or may not be a security problem, most of the time it is one.
- Please double check that pax-utils-0.2.1 really needs a world
writeable bit and file bugs accordingly.
* QA Notice: the following files are outside of the prefix:
* /bash.exe.stackdump

32 enolar: RETRY 1: sys-devel/libtool


./libtool: line 1146: 5624 Aborted ( cd
$output_objdir && $LTCC$symtab_cflags
-c$no_builtin_flag$pic_flag_for_symtable "$my_dlsyms" )
./libtool: line 1149: 656 Aborted ( exit 134 )
make[2]: *** [libltdl/libltdl.la] Error 134
make[2]: Leaving directory
`/home/prefix/gentoo/var/tmp/portage/sys-devel/libtool-2.2.10/work/libtool-2.2.10'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/home/prefix/gentoo/var/tmp/portage/sys-devel/libtool-2.2.10/work/libtool-2.2.10'
make: *** [all] Error 2
* ERROR: sys-devel/libtool-2.2.10 failed:
* (no error message)
*
* Call stack:
* ebuild.sh, line 53: Called src_configure
* environment, line 6366: Called die
* The specific snippet of code:
* emake || die

47 enolar: RETRY 1: virtual/libintl

/home/prefix/gentoo/usr/lib/portage/bin/ebuild.sh: line 1709: 156
Aborted ( export SANDBOX_ON=1; source
"${T}/environment" || exit $?; export SANDBOX_ON=0; source
"${PORTAGE_BIN_PATH}/isolated-functions.sh" || exit $?;
save_ebuild_env || exit $?; touch "${T}/environment.success" || exit
$? ) > "${T}/environment.filtered"
Stack trace:
Frame Function Args
0022A348 610C5F8E (00000000, 00000001, 0022A3C8, 612056A0)
0022A428 610C2CA7 (00000000, 6FBD0080, 00000000, 0022A424)
0022A478 610C30BB (000012FC, 0022A4A0, 0022A488, 6FBDA00C)
0022A538 610C31E1 (000012FC, 00000006, 0022A568, 610C3285)
0022A548 610C321C (00000006, 0022CE80, 00000000, 00000000)
0022A568 610C3285 (6FBDA00C, 00000000, 6115F18C, 6FBD9544)
0022A588 6FBD5531 (6FBDB000, 6FBD5550, 0022A5E8, 6102009A)
0022A598 6FBD10D9 (00472000, 6FBD5550, 6123A3E4, 61020101)
0022A5E8 6102009A (00000000, 00000000, 00000003, 00000000)
0022A608 61116E6A (00000000, 00000000, 0022A6B8, 610C01A5)
0022A618 61004C8B (00000000, 00EEE0F8, 00EEE928, 00000000)
0022A6B8 610C01A5 (00EE8408, 00000000, 00000003, FFFFFFFF)
0022A758 00411B37 (00EE7DF0, 00000000, 00000003, FFFFFFFF)
0022A7F8 00411A41 (00EE8780, 00000000, FFFFFFFF, FFFFFFFF)
0022A828 00411D93 (00EE8780, 00000003, 0022A848, 00000000)
0022A8C8 004119F6 (00EE48C0, 00000000, FFFFFFFF, FFFFFFFF)
End of stack trace (more stack frames may be present)
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
203: 4880 Aborted echo -e "$@"
4860 Aborted (core dumped) | while read -r; do
echo "$messagetype $REPLY" >> "${T}/logging/${EBUILD_PHASE:-other}";
done
* ERROR: virtual/libintl-0 failed:
[...]
* The specific snippet of code:
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
291: 4644 Aborted echo -e "$@"
4580 | while read -r; do
echo " $BAD*$NORMAL $RC_INDENTATION$REPLY" 1>&2;
done
Stack trace:
Frame Function Args
0022A758 6102BB05 (0022D000, 00000000, 6115F394, 00000000)
0022A778 61118E74 (0022D000, 6115F330, 0022A7A8, 6113A66A)
0022A788 61118F60 (6115F330, 6115F320, 00000000, 00000000)
0022A7A8 6113A66A (6115F040, 61118F40, 0022A7D8, 610C32A7)
0022A7B8 61117C99 (6115F040, 0022CE80, 00000000, 00000000)
0022A7D8 610C32A7 (6FBDA00C, 00000000, 6115F18C, 6FBD9544)
0022A7F8 6FBD5531 (6FBDB000, 6FBD5550, 0022A858, 6102009A)
0022A808 6FBD10D9 (00472000, 6FBD5550, 6123A3E4, 61020101)
0022A858 6102009A (00000000, 00000000, 00000003, 00000000)
0022A878 61116E6A (00000000, 00000000, 0022A928, 610C01A5)
0022A888 61004C8B (00000000, 00EE8910, 00EEDFF0, 00000000)
0022A928 610C01A5 (00EE82C8, 00000000, 00000003, FFFFFFFF)
0022A9C8 00411B37 (00EE7780, 00000000, 00000003, FFFFFFFF)
0022AA68 00411A41 (00EEE228, 00000000, FFFFFFFF, FFFFFFFF)
0022AA98 00411D93 (00EEE228, 00000003, 0022AAB8, 00000000)
0022AB38 004119F6 (00EEE1F8, 00000000, FFFFFFFF, FFFFFFFF)
End of stack trace (more stack frames may be present)
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
203: 5488 Aborted echo -e "$@"
4264 Aborted (core dumped) | while read -r; do
echo "$messagetype $REPLY" >> "${T}/logging/${EBUILD_PHASE:-other}";
done
[...]
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
203: 4648 Aborted echo -e "$@"
4784 | while read -r; do
echo "$messagetype $REPLY" >> "${T}/logging/${EBUILD_PHASE:-other}";
done
* S: '/home/prefix/gentoo/var/tmp/portage/virtual/libintl-0/work/libintl-0'
Stack trace:
Frame Function Args
0022B3E8 610C5F8E (00000000, 00000001, 0022B468, 612056A0)
0022B4C8 610C2CA7 (00000000, 6FBD0080, 00000000, 0022B4C4)
0022B518 610C30BB (00000DF4, 0022B540, 0022B528, 6FBDA00C)
0022B5D8 610C31E1 (00000DF4, 00000006, 0022B608, 610C3285)
0022B5E8 610C321C (00000006, 0022CE80, 00000000, 00000000)
0022B608 610C3285 (6FBDA00C, 00000000, 6115F18C, 6FBD9544)
0022B628 6FBD5531 (6FBDB000, 6FBD5550, 0022B688, 6102009A)
0022B638 6FBD10D9 (00472000, 6FBD5550, 6123A3E4, 61020101)
0022B688 6102009A (00000000, 00000000, 00000003, 00000000)
0022B6A8 61116E6A (00000000, 00000000, 0022B758, 610C01A5)
0022B6B8 61004C8B (00000000, 00EE4928, 00EE71F8, 00000000)
0022B758 610C01A5 (00EF0640, 00000000, 00000003, FFFFFFFF)
0022B7F8 00411B37 (00EF05E0, 00000000, 00000003, FFFFFFFF)
0022B898 00411A41 (00EE84F8, 00000000, FFFFFFFF, FFFFFFFF)
0022B8C8 00411D93
/home/prefix/gentoo/usr/lib/portage/bin/isolated-functions.sh: line
291: 5176 Aborted echo -e "$@"
3572 | while read -r; do
echo " $BAD*$NORMAL $RC_INDENTATION$REPLY" 1>&2;
done
 
Old 10-01-2010, 10:46 AM
Al
 
Default Stating officially with Cygwin

> on interix, a missing or wrong interpreter is not handled correctly, and
> thus leads to crashes without appropriate error messages. i'm really
> glad portage now checks for those
>

If bootstrapping dies with dozends of packages for no other reason
than invalid shebangs, and if nobody fixes them even in the
fundamental packages, doesn't this mean, that nobody tries to bootsrap
at all any more? With the exeption of mine.

Nobody could bootstrap without either fixing all this packages or
commenting out the call to die. What I want to say is, that I see some
danger that the Prefix projekt kills itself by this blocker. People
don't get started at all.

> interix is more like a real unix than cygwin; it uses symlinks, etc.
> also, it does _not_ use PATH to search for libraries, but has propper
> support for rpath, etc.
>
> additionally the x86-winnt profiles, which i started, use the parity
> compiler for windows [1], which adds support for rpath, lazy loading,
> unix like shared library building, libtool support, etc, etc. so even on
> windows, there is not need for PATH hacks, and such.
>

The parity compiler sounds very ambitious and I am curious. On the
other hands I also see the advantages in Microsofts PATH approach.
Dynamic libraries doen't depend on a special path any more and can be
moved around. All you have to do, is to adapt the PATH variable to the
new location. That makes your programs more portable.

Fortunatly you can do the some on Unix by use of LD_LIBRARY_PATH. However:

<quote http://en.wikipedia.org/wiki/Rpath_%28linking%29>
The primary disadvantage of using RPATH is that it overrides the
LD_LIBRARY_PATH settings which makes things like running a precompiled
binary out of a user's home directory or some other non-default
location difficult or impossible. Use of RPATH also makes it
difficult, if not impossible, to upgrade libraries without forcing a
reinstallation of all the software dependent on (even the older
versions of) the libraries.
</quote>

What I am pondering on, is a relative RPATH, relative to the prefix
path. By this the Prefix installation as a whole could still be moved
around without breaking. You could run a precompiled PREFIX
installation out of different user's home directories.

>
> P.S.: i built cygwin support into parity - would be curious if (after i
> fixed the portage prefix-chaining patch, which is a prerequisite)
> x86-winnt profiles would work unmodified on cygwin.
>

If you want to reach that goal you will reach it. Cygwin isn't
difficult. There are a few cases when the .exe magic gets into your
way, but they are usually easy to fix.

Specially you need the Cygwin patch for coreutils to reflect the .exe
magic and that patch conflicts with the interix-warn-mount.patch.

Al
 
Old 10-01-2010, 10:53 AM
Fabian Groffen
 
Default Stating officially with Cygwin

On 01-10-2010 12:46:48 +0200, Al wrote:
> The parity compiler sounds very ambitious and I am curious. On the
> other hands I also see the advantages in Microsofts PATH approach.
> Dynamic libraries doen't depend on a special path any more and can be
> moved around. All you have to do, is to adapt the PATH variable to the
> new location. That makes your programs more portable.

you have a wrong perception of portable to me

> What I am pondering on, is a relative RPATH, relative to the prefix
> path. By this the Prefix installation as a whole could still be moved
> around without breaking. You could run a precompiled PREFIX
> installation out of different user's home directories.

You simply can't, because the libraries have paths hardcoded compiled
in. That is the whole reason why we decided to "fix" the paths where
the libs are and should be found. It's simply not as simple as thinking
that if the lib can be found in any place that you've solved all (if not
any) of the problems that occur here.
As you've found already yourself, on ELF systems, there are a couple of
ways of finding libs in other places. However, this is mostly a
debugging aid, and often screws up more than it solves.

chpathtool exists for a reason, but still it's fragile, and won't work
on cygwin for sure.


--
Fabian Groffen
Gentoo on a different level
 
Old 10-01-2010, 11:05 AM
Al
 
Default Stating officially with Cygwin

2010/10/1 Fabian Groffen <grobian@gentoo.org>:
> On 01-10-2010 12:46:48 +0200, Al wrote:
>> The parity compiler sounds very ambitious and I am curious. On the
>> other hands I also see the advantages in Microsofts PATH approach.
>> Dynamic libraries doen't depend on a special path any more and can be
>> moved around. All you have to do, is to adapt the PATH variable to the
>> new location. That makes your programs more portable.
>
> you have a wrong perception of portable to me

It's not a wrong perception, it's a wider perception. In german it
translates with: tragbar, transportabel, portabel.

Here I use it in the sense of portablility inside one file system.
Maybe you can find a better term.

>
>> What I am pondering on, is a relative RPATH, relative to the prefix
>> path. By this the Prefix installation as a whole could still be moved
>> around without breaking. You could run a precompiled *PREFIX
>> installation out of different user's home directories.
>
> You simply can't, because the libraries have paths hardcoded compiled
> in. *That is the whole reason why we decided to "fix" the paths where

I know, however, I ponder.

The prefix is a first step in that direction, Maybe, one can do the
second step one day, but one can't do it all at once.

> chpathtool exists for a reason, but still it's fragile, and won't work
> on cygwin for sure.

I'll take a look at that this evening.

Al
 
Old 10-01-2010, 11:17 AM
Fabian Groffen
 
Default Stating officially with Cygwin

On 01-10-2010 13:05:22 +0200, Al wrote:
> 2010/10/1 Fabian Groffen <grobian@gentoo.org>:
> > On 01-10-2010 12:46:48 +0200, Al wrote:
> >> The parity compiler sounds very ambitious and I am curious. On the
> >> other hands I also see the advantages in Microsofts PATH approach.
> >> Dynamic libraries doen't depend on a special path any more and can be
> >> moved around. All you have to do, is to adapt the PATH variable to the
> >> new location. That makes your programs more portable.
> >
> > you have a wrong perception of portable to me
>
> It's not a wrong perception, it's a wider perception. In german it
> translates with: tragbar, transportabel, portabel.
>
> Here I use it in the sense of portablility inside one file system.
> Maybe you can find a better term.

porting to me sounds like being able to bring to other systems

you seem to be discussing relocation here


--
Fabian Groffen
Gentoo on a different level
 
Old 10-01-2010, 11:21 AM
Al
 
Default Stating officially with Cygwin

>
> porting to me sounds like being able to bring to other systems
>
> you seem to be discussing relocation here
>

Here I could answer, you have a wrong perception of relocation. I
always read this for relocation inside the memory. We need a third
term.

Al
 
Old 10-04-2010, 07:09 AM
Michael Haubenwallner
 
Default Stating officially with Cygwin

Hi Al,

On 10/01/2010 12:46 PM, Al wrote:
> The parity compiler sounds very ambitious and I am curious. On the
> other hands I also see the advantages in Microsofts PATH approach.
> Dynamic libraries doen't depend on a special path any more and can be
> moved around. All you have to do, is to adapt the PATH variable to the
> new location. That makes your programs more portable.

While the environment-variable-based approach to find dynamic libraries does
have it advantages indeed, it is a no-go for (automated) package managing.
Use LD_LIBRARY_PATH (and its equivalents) for debugging, playing around,
trying something out, but don't have final binary packages rely on it.
We have been using LD_LIBRARY_PATH&Co in our company for some years, but we
have thrown that away and use the built-into-binaries RPATH/RUNPATH/whatever
approach now, because the environment-variables caused too many headaches:
partially unable to fix at all, or with really bad hacks only.

> What I am pondering on, is a relative RPATH, relative to the prefix
> path. By this the Prefix installation as a whole could still be moved
> around without breaking. You could run a precompiled PREFIX
> installation out of different user's home directories.

Some of our target platform do support "$ORIGIN" in RPATH&Co.
The problem is that I cannot think of a good way yet to inform prefix'
toolchain about the just linked binary's target location by package's
build systems, which is necessary to calculate an $ORIGIN-based RPATH.

/haubi/
--
Michael Haubenwallner
Gentoo on a different level
 

Thread Tools




All times are GMT. The time now is 05:56 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org